You need to enable JavaScript to run this app.
Torch Object Storage

Torch Object Storage

Copy page
Download PDF
Vector index
ListIndexes
Copy page
Download PDF
ListIndexes
Description​
Retrieve vector index information of the vector bucket.​
Request syntax​
The endpoint must use the Bucket Endpoint.​
​
POST /ListIndexes HTTP/1.1​
Host: {VectorBucketName}-{AccountID}.tosvectors-cn-beijing.volces.com​
Authorization: authorization string​
Date: Mon, 10 Dec 2025 12:49:14 GMT​
​
{​
"vectorBucketName": "test-vector-bucket",​
"maxResults": 100,​
"nextToken": ""​
}​
​
Request parameters and headers ​
None.​
Request body elements​
​
Field name​
Type​
Required​
Example value​
Description​
vectorBucketName​
String​
Yes​
test-vector-bucket​
Name of the vector bucket containing the vector index.​
maxResults​
integer​
No​
100​
Maximum number of items returned in the response. Defaults to 100 if not set.​
Valid range: minimum 1, maximum 500.​
nextToken​
String​
No​
1b802ff5test-index-3​
previous page token. used to fetch the next page of results.​
length limit: minimum 1, maximum 512.​
prefix​
String​
No​
test​
Limit the response to vector indexes starting with the specified prefix.​
Length limit: minimum 1 and maximum 63.​
​
Response headers​
For common response headers, see Common parameters.​
Response body elements​
If the operation succeeds, the service returns an HTTP 200 response along with the following response body elements.​
If the operation fails, it returns the error code defined in the Response code.​
​
Field name​
Type​
Example value​
Description​
indexes​
IndexSummary[]​
See the table below​
Vector index list.​
nextToken​
String​
1b802ff5test-index-3​
Next page token. If this token appears in the response, more results are available. You can use this token in the next request to retrieve the next page of results.​
Length limit: minimum 1, maximum 512 characters.​
​
IndexSummary struct parameter description:​
​
Name​
Type​
Example value​
Description​
vectorBucketName​
String​
test-vector-bucket​
vector bucket name​
indexName​
String​
test-index​
Vector index name.​
creationTime​
number​
1764580825​
Vector index creation time.​
indexTrn​
String​
trn:tosvectors:cn-beijing:11111:bucket/test-vector-bucket/index/test-index​
TRN of the vector index.​
​
Sample request​
​
POST /ListIndexes HTTP/1.1​
Host: test-vector-bucket-1111.tosvectors-cn-beijing.volces.com​
Authorization: authorization string​
Date: Mon, 10 Dec 2025 12:49:14 GMT​
​
{​
"vectorBucketName": "test-vector-bucket",​
"maxResults": 5,​
"nextToken": ""​
}​
​
Sample response​
​
HTTP/1.1 200 OK​
x-tos-id-2: 797014003c90a9b694003c9-b15a995-1vV80n-CVB-cb-tos-1az-front-azd-vectors-2 ​
x-tos-request-id: 797014003c90a9b694003c9-b15a995-1vV80n-CVB-cb-tos-1az-front-azd-vectors-2 ​
Date: Mon, 10 Dec 2025 12:49:14 GMT​
server: TosServer​
Content-Length: 199​
​
{​
"indexes": [​
{​
"creationTime": 1765804225,​
"indexName": "test-index",​
"indexTrn": "trn:tosvectors:cn-beijing:1111:bucket/test-vector-bucket/index/test-index",​
"vectorBucketName": "test-vector-bucket"​
}​
]​
}​
​
​
Last updated: 2026.01.04 14:21:24